#pragma once

#include "CoreMinimal.h"
#include "SubPresenter.h"
#include "EventEntryPopupSkinUIData.h"
#include "EventEntryEventSubPresenter.generated.h"

class UEventTabViewData;
class UEventEntryPresenter;

UCLASS(Blueprintable)
class UEventEntryEventSubPresenter : public USubPresenter
{
	GENERATED_BODY()

private:
	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	UEventTabViewData* _tabsData;

	UPROPERTY(BlueprintReadWrite, Transient, Instanced, meta=(AllowPrivateAccess=true))
	UEventEntryPresenter* _parentPresenter;

	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	FEventEntryPopupSkinUIData _skinData;

protected:
	UFUNCTION(BlueprintCallable)
	void OnChallengesButtonClicked();

public:
	UEventEntryEventSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UEventEntryEventSubPresenter) { return 0; }
